﻿@*

*@
@{
}
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand" asp-controller="Home" asp-action="Index">BeerOverflow</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
            <li class="nav-item active">
                <a class="nav-link" asp-controller="Home" asp-action="Index">Home <span class="sr-only">(current)</span></a>
            </li>
            @*<li class="nav-item">
                    <a class="nav-link" asp-controller="Beers" asp-action="Index">Beers</a>
                </li>*@
            @if (User.Identity.IsAuthenticated)
            {
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        Beers
                    </a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <a class="nav-link" asp-controller="Beers" asp-action="Index">All Beers</a>
                        <div class="dropdown-divider"></div>
                        <a class="nav-link" asp-controller="Home" asp-action="WishList">Wish List</a>
                        <a class="nav-link" asp-controller="Home" asp-action="DrankList">Drank List</a>
                    </div>
                </li>
            }
            else
            {
                <li>
                    <a class="nav-link" asp-controller="Beers" asp-action="Index">All Beers</a>
                </li>

            }
            <li class="nav-item">
                <a class="nav-link" asp-controller="Breweries" asp-action="Index">Breweries</a>
            </li>
            @if (User.IsInRole("Admin"))
            {
                <li class="nav-item">
                    <a class="nav-link" asp-controller="Styles" asp-action="Index">Styles</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" asp-controller="Countries" asp-action="Index">Countries</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link"  asp-controller="Admin" asp-action="UsersIndex">Users</a>
                </li>
            }
            @*<li class="nav-item">
                    <a class="nav-link" asp-controller="Home" asp-action="Privacy">Privacy</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" asp-controller="Home" asp-action="Contacts">Contacts</a>
                </li>*@
            <partial name="_LoginPartial" />
        </ul>
    </div>
</nav>